<?php
/**
 * @Copyright
 *
 * @package    js_weather
 * @author     Joachim Schmidt {@link http://www.jschmidt-systemberatung.de/}
 * @version    Version: 1.0.0 - March-2023
 * @desciption Application interface to provide openWeatherMap's weather data
 * @link       Project Site {@link http://www.jschmidt-systemberatung.de/}
 *
 * @license GNU/GPL
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * change activity:
 */

include_once (dirname(__FILE__) . '/settings.php');

if (array_key_exists('lang', $_GET))
    $lang = htmlspecialchars($_GET['lang']);

$text = parse_ini_file(dirname(__FILE__) . "/weather.ini", true);
$valid_languages = $text['languages'];
if (strpos($valid_languages, $lang) === false)
    $lang = "en";
$text = $text[$lang];

?>

<!DOCTYPE html>
<html lang="de-de" dir="ltr">

<head>
 <meta charset="utf-8">
 <meta name="author" content="jochen">
 <meta name="description" content="usage for openwethermap API">
 <title><?php echo $text['forecast']; ?></title>
 <script src="<?php echo $app_root; ?>/jsweather/phpRGraph/js/jquery.min.js"></script>

<script>
 jQuery(document).ready(function() {
     var location='<?php echo $location; ?>'
     url = '<?php echo $app_root; ?>/jsweather/get_weather.php?lang=<?php echo $lang; ?>&location=' +location;
  jQuery("#forecast").load( url, function() {
    });
 });
  
   function getforecast()
   {
       var location = jQuery('#name').val();
       location = location.replace(/ /g,"%20");
       if (location == '<?php echo $location; ?>')
        url = '<?php echo $app_root; ?>/jsweather/get_weather.php?lang=<?php echo $lang; ?>&location=' +location;
       else
        url = '<?php echo $app_root; ?>/jsweather/get_weather.php?lang=<?php echo $lang; ?>&cache=0&location=' +location;
       jQuery("#forecast" ).load( url, function() {
       });
     }

   function deleteforecast()
   {
	   jQuery('#forecast').empty();
       url = '<?php echo $app_root; ?>/jsweather/delete_cache.php?lang=<?php echo $lang; ?>';
       jQuery("#forecast" ).load( url, function() {
       });
   }
</script>
</head>
<body style="margin: 30px;">

<form action="">
  <label for="name"><?php echo $text['enter_location'];  ?></label><br>
  <b><input type="text" id="name" name="name" maxlenth="30" value="<?php echo $location; ?>"></b>
  <div style="margin: 8px;">
  <input class="btn btn-default" type="button" value="<?php echo $text['display']; ?>" onclick="getforecast();" />
  <input class="btn btn-default" type="button" value="<?php echo $text['delete']; ?>" onclick="deleteforecast();" />
  </div>
</form>

<div id="forecast"></div>

</body>
</html>